From 35d184851902dc8f104a4d3dbc8b313b9cd5d294 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Thu, 14 Nov 2013 05:57:52 +0100
Subject: [PATCH] WIP

---
 etc/defaults/rc.conf                       |    6 +-
 etc/mtree/BSD.include.dist                 |    2 -
 etc/rc.d/Makefile                          |    2 +-
 etc/rc.d/ipxrouted                         |   19 -
 etc/rc.d/routing                           |    8 -
 gnu/usr.bin/groff/tmac/fr.ISO8859-1        |    2 -
 gnu/usr.bin/groff/tmac/mdoc.local          |    1 -
 gnu/usr.bin/groff/tmac/ru.KOI8-R           |    2 -
 include/Makefile                           |    9 +-
 lib/Makefile                               |    2 -
 lib/libipx/Makefile                        |   13 -
 lib/libipx/ipx.3                           |  125 --
 lib/libipx/ipx_addr.c                      |  214 ----
 lib/libipx/ipx_ntoa.c                      |   93 --
 lib/libncp/CREDITS                         |   28 -
 lib/libncp/Makefile                        |   17 -
 lib/libncp/ipx.c                           |  346 ------
 lib/libncp/ipxsap.h                        |   96 --
 lib/libncp/ncp_mod.h                       |   17 -
 lib/libncp/ncpl_bind.c                     |  268 ----
 lib/libncp/ncpl_conn.c                     |  514 --------
 lib/libncp/ncpl_crypt.c                    |  138 --
 lib/libncp/ncpl_file.c                     |  264 ----
 lib/libncp/ncpl_misc.c                     |  295 -----
 lib/libncp/ncpl_msg.c                      |  132 --
 lib/libncp/ncpl_net.c                      |  151 ---
 lib/libncp/ncpl_nls.c                      |  350 ------
 lib/libncp/ncpl_queue.c                    |  224 ----
 lib/libncp/ncpl_rcfile.c                   |  407 ------
 lib/libncp/ncpl_rpc.c                      |  137 --
 lib/libncp/ncpl_subr.c                     |  463 -------
 lib/libncp/sap.c                           |  304 -----
 sbin/Makefile                              |    3 +-
 sbin/ifconfig/Makefile                     |    6 +-
 sbin/ifconfig/af_ipx.c                     |  125 --
 sbin/mount/mount.8                         |    1 -
 sbin/mount_nwfs/Makefile                   |   11 -
 sbin/mount_nwfs/mount_nwfs.8               |  231 ----
 sbin/mount_nwfs/mount_nwfs.c               |  379 ------
 sbin/mount_ufs/mount_ufs.8                 |    1 -
 sbin/route/route.8                         |    1 -
 share/examples/nwclient/dot.nwfsrc         |   79 --
 share/examples/nwclient/nwfs.sh.sample     |   35 -
 share/man/man5/rc.conf.5                   |   21 -
 share/mk/bsd.libnames.mk                   |    2 -
 sys/boot/dloader/loader-bootp.conf         |    1 -
 sys/boot/dloader/loader.conf               |    1 -
 sys/conf/files                             |   26 -
 sys/conf/options                           |    5 -
 sys/config/LINT                            |    7 -
 sys/config/LINT64                          |    7 -
 sys/dev/netif/de/if_de.c                   |    6 -
 sys/dev/netif/fe/if_fe.c                   |    2 -
 sys/dev/netif/fe/if_fe_isa.c               |    1 -
 sys/dev/netif/fe/if_fe_pccard.c            |    1 -
 sys/emulation/linux/linux_stats.c          |    2 -
 sys/net/ef/Makefile                        |    5 +-
 sys/net/ef/if_ef.c                         |   53 +-
 sys/net/if_ethersubr.c                     |   87 --
 sys/net/if_loop.c                          |   17 -
 sys/net/ppp/if_ppp.c                       |   45 -
 sys/net/ppp_layer/Makefile                 |    9 +-
 sys/net/sppp/Makefile                      |    5 +-
 sys/net/sppp/if_spppsubr.c                 |   28 -
 sys/net/tun/Makefile                       |    5 +-
 sys/net/tun/if_tun.c                       |    6 -
 sys/netgraph/cisco/ng_cisco.c              |    3 -
 sys/netgraph/iface/Makefile                |    5 +-
 sys/netgraph/iface/ng_iface.c              |    6 -
 sys/netgraph7/cisco/ng_cisco.c             |    3 -
 sys/netgraph7/iface/Makefile               |    5 +-
 sys/netgraph7/iface/ng_iface.c             |    6 -
 sys/netinet/in_proto.c                     |   21 -
 sys/netproto/802_11/wlan/Makefile          |    7 +-
 sys/netproto/802_11/wlan/ieee80211_ioctl.c |    6 -
 sys/netproto/ipx/README                    |   24 -
 sys/netproto/ipx/ipx.c                     |  383 ------
 sys/netproto/ipx/ipx.h                     |  170 ---
 sys/netproto/ipx/ipx_cksum.c               |  110 --
 sys/netproto/ipx/ipx_if.h                  |   97 --
 sys/netproto/ipx/ipx_input.c               |  500 --------
 sys/netproto/ipx/ipx_ip.c                  |  456 -------
 sys/netproto/ipx/ipx_ip.h                  |   63 -
 sys/netproto/ipx/ipx_outputfl.c            |  252 ----
 sys/netproto/ipx/ipx_pcb.c                 |  333 -----
 sys/netproto/ipx/ipx_pcb.h                 |   98 --
 sys/netproto/ipx/ipx_proto.c               |  165 ---
 sys/netproto/ipx/ipx_tun.c                 |   39 -
 sys/netproto/ipx/ipx_usrreq.c              |  665 ----------
 sys/netproto/ipx/ipx_var.h                 |  110 --
 sys/netproto/ipx/spx.h                     |  186 ---
 sys/netproto/ipx/spx_debug.c               |  151 ---
 sys/netproto/ipx/spx_debug.h               |   80 --
 sys/netproto/ipx/spx_timer.h               |  125 --
 sys/netproto/ipx/spx_usrreq.c              | 1868 ----------------------------
 sys/netproto/ipx/spx_var.h                 |  122 --
 sys/netproto/ncp/Makefile                  |   34 -
 sys/netproto/ncp/ncp.h                     |  392 ------
 sys/netproto/ncp/ncp_cfg.h                 |   10 -
 sys/netproto/ncp/ncp_conn.c                |  551 --------
 sys/netproto/ncp/ncp_conn.h                |  235 ----
 sys/netproto/ncp/ncp_crypt.c               |  268 ----
 sys/netproto/ncp/ncp_file.h                |   83 --
 sys/netproto/ncp/ncp_lib.h                 |  252 ----
 sys/netproto/ncp/ncp_login.c               |  201 ---
 sys/netproto/ncp/ncp_mod.c                 |  545 --------
 sys/netproto/ncp/ncp_ncp.c                 |  628 ----------
 sys/netproto/ncp/ncp_ncp.h                 |  125 --
 sys/netproto/ncp/ncp_nls.c                 |  306 -----
 sys/netproto/ncp/ncp_nls.h                 |   93 --
 sys/netproto/ncp/ncp_rcfile.h              |   69 -
 sys/netproto/ncp/ncp_rq.c                  |  558 ---------
 sys/netproto/ncp/ncp_rq.h                  |  201 ---
 sys/netproto/ncp/ncp_sock.c                |  381 ------
 sys/netproto/ncp/ncp_sock.h                |   58 -
 sys/netproto/ncp/ncp_subr.c                |  271 ----
 sys/netproto/ncp/ncp_subr.h                |  135 --
 sys/netproto/ncp/ncp_user.h                |   98 --
 sys/netproto/ncp/nwerror.h                 |  635 ----------
 sys/netproto/smb/netbios.h                 |    8 +-
 sys/platform/pc32/i386/machdep.c           |    1 -
 sys/platform/pc64/x86_64/machdep.c         |    1 -
 sys/platform/vkernel/i386/cpu_regs.c       |    1 -
 sys/platform/vkernel64/x86_64/cpu_regs.c   |    1 -
 sys/sys/vfscache.h                         |    4 +-
 sys/vfs/Makefile                           |    2 +-
 sys/vfs/nwfs/Makefile                      |   13 -
 sys/vfs/nwfs/nwfs.h                        |   84 --
 sys/vfs/nwfs/nwfs_io.c                     |  616 ---------
 sys/vfs/nwfs/nwfs_ioctl.c                  |   96 --
 sys/vfs/nwfs/nwfs_mount.h                  |   75 --
 sys/vfs/nwfs/nwfs_node.c                   |  342 -----
 sys/vfs/nwfs/nwfs_node.h                   |  107 --
 sys/vfs/nwfs/nwfs_subr.c                   |  660 ----------
 sys/vfs/nwfs/nwfs_subr.h                   |   98 --
 sys/vfs/nwfs/nwfs_vfsops.c                 |  450 -------
 sys/vfs/nwfs/nwfs_vnops.c                  |  952 --------------
 sys/vfs/smbfs/Makefile                     |   11 +-
 usr.bin/Makefile                           |    2 -
 usr.bin/kdump/mkioctls                     |    4 +-
 usr.bin/ncplist/Makefile                   |    9 -
 usr.bin/ncplist/ncplist.1                  |   83 --
 usr.bin/ncplist/ncplist.c                  |  468 -------
 usr.bin/ncplogin/Makefile                  |   13 -
 usr.bin/ncplogin/ncplogin.1                |  241 ----
 usr.bin/ncplogin/ncplogin.c                |  202 ---
 usr.bin/ncplogin/ncplogout.1               |   57 -
 usr.bin/netstat/Makefile                   |    6 +-
 usr.bin/netstat/if.c                       |   19 -
 usr.bin/netstat/ipx.c                      |  341 -----
 usr.bin/netstat/main.c                     |   63 +-
 usr.bin/netstat/netstat.1                  |    2 -
 usr.bin/netstat/netstat.h                  |    8 -
 usr.bin/netstat/route.c                    |   99 --
 usr.sbin/IPXrouted/IPXrouted.8             |  197 ---
 usr.sbin/IPXrouted/Makefile                |   14 -
 usr.sbin/IPXrouted/af.c                    |  272 ----
 usr.sbin/IPXrouted/af.h                    |   78 --
 usr.sbin/IPXrouted/defs.h                  |  105 --
 usr.sbin/IPXrouted/if.c                    |  141 ---
 usr.sbin/IPXrouted/input.c                 |  295 -----
 usr.sbin/IPXrouted/interface.h             |   96 --
 usr.sbin/IPXrouted/main.c                  |  383 ------
 usr.sbin/IPXrouted/output.c                |  228 ----
 usr.sbin/IPXrouted/protocol.h              |   93 --
 usr.sbin/IPXrouted/sap.h                   |  109 --
 usr.sbin/IPXrouted/sap_input.c             |  213 ----
 usr.sbin/IPXrouted/sap_output.c            |  195 ---
 usr.sbin/IPXrouted/sap_tables.c            |  322 -----
 usr.sbin/IPXrouted/startup.c               |  272 ----
 usr.sbin/IPXrouted/table.h                 |  113 --
 usr.sbin/IPXrouted/tables.c                |  383 ------
 usr.sbin/IPXrouted/timer.c                 |  234 ----
 usr.sbin/IPXrouted/trace.c                 |  479 -------
 usr.sbin/IPXrouted/trace.h                 |  139 ---
 usr.sbin/Makefile                          |    1 -
 usr.sbin/ppp/Makefile                      |    2 +-
 usr.sbin/ppp/arp.c                         |    2 -
 usr.sbin/ppp/auth.c                        |    2 -
 usr.sbin/ppp/bundle.c                      |    2 -
 usr.sbin/ppp/ccp.c                         |    2 -
 usr.sbin/ppp/chap.c                        |    2 -
 usr.sbin/ppp/chat.c                        |    2 -
 usr.sbin/ppp/command.c                     |    2 -
 usr.sbin/ppp/datalink.c                    |    2 -
 usr.sbin/ppp/ether.c                       |    2 -
 usr.sbin/ppp/filter.c                      |    2 -
 usr.sbin/ppp/filter.h                      |    2 -
 usr.sbin/ppp/fsm.c                         |    2 -
 usr.sbin/ppp/iface.c                       |    2 -
 usr.sbin/ppp/ip.c                          |    2 -
 usr.sbin/ppp/ipcp.c                        |    2 -
 usr.sbin/ppp/ipcp.h                        |    2 -
 usr.sbin/ppp/ipv6cp.c                      |    2 -
 usr.sbin/ppp/ipv6cp.h                      |    3 -
 usr.sbin/ppp/lcp.c                         |    2 -
 usr.sbin/ppp/link.c                        |    1 -
 usr.sbin/ppp/main.c                        |    2 -
 usr.sbin/ppp/mp.c                          |    2 -
 usr.sbin/ppp/mppe.c                        |    2 -
 usr.sbin/ppp/nat_cmd.c                     |    2 -
 usr.sbin/ppp/ncp.c                         |  531 --------
 usr.sbin/ppp/ncp.h                         |  102 --
 usr.sbin/ppp/ncpaddr.c                     | 1015 ---------------
 usr.sbin/ppp/ncpaddr.h                     |  110 --
 usr.sbin/ppp/netgraph.c                    |    2 -
 usr.sbin/ppp/pap.c                         |    2 -
 usr.sbin/ppp/physical.c                    |    2 -
 usr.sbin/ppp/prompt.c                      |    2 -
 usr.sbin/ppp/radius.c                      |    2 -
 usr.sbin/ppp/route.c                       |    2 -
 usr.sbin/ppp/server.c                      |    1 -
 usr.sbin/ppp/slcompress.c                  |    2 -
 usr.sbin/ppp/tcpmss.c                      |    2 -
 usr.sbin/ppp/tun.c                         |    2 -
 usr.sbin/ppp/vjcomp.c                      |    2 -
 usr.sbin/pppd/Makefile                     |    7 +-
 usr.sbin/pppd/ipxcp.c                      | 1362 --------------------
 usr.sbin/pppd/ipxcp.h                      |   72 --
 usr.sbin/pppd/sys-bsd.c                    |  105 --
 220 files changed, 49 insertions(+), 30878 deletions(-)
 delete mode 100644 etc/rc.d/ipxrouted
 delete mode 100644 lib/libipx/Makefile
 delete mode 100644 lib/libipx/ipx.3
 delete mode 100644 lib/libipx/ipx_addr.c
 delete mode 100644 lib/libipx/ipx_ntoa.c
 delete mode 100644 lib/libncp/CREDITS
 delete mode 100644 lib/libncp/Makefile
 delete mode 100644 lib/libncp/ipx.c
 delete mode 100644 lib/libncp/ipxsap.h
 delete mode 100644 lib/libncp/ncp_mod.h
 delete mode 100644 lib/libncp/ncpl_bind.c
 delete mode 100644 lib/libncp/ncpl_conn.c
 delete mode 100644 lib/libncp/ncpl_crypt.c
 delete mode 100644 lib/libncp/ncpl_file.c
 delete mode 100644 lib/libncp/ncpl_misc.c
 delete mode 100644 lib/libncp/ncpl_msg.c
 delete mode 100644 lib/libncp/ncpl_net.c
 delete mode 100644 lib/libncp/ncpl_nls.c
 delete mode 100644 lib/libncp/ncpl_queue.c
 delete mode 100644 lib/libncp/ncpl_rcfile.c
 delete mode 100644 lib/libncp/ncpl_rpc.c
 delete mode 100644 lib/libncp/ncpl_subr.c
 delete mode 100644 lib/libncp/sap.c
 delete mode 100644 sbin/ifconfig/af_ipx.c
 delete mode 100644 sbin/mount_nwfs/Makefile
 delete mode 100644 sbin/mount_nwfs/mount_nwfs.8
 delete mode 100644 sbin/mount_nwfs/mount_nwfs.c
 delete mode 100644 share/examples/nwclient/dot.nwfsrc
 delete mode 100644 share/examples/nwclient/nwfs.sh.sample
 delete mode 100644 sys/netproto/ipx/README
 delete mode 100644 sys/netproto/ipx/ipx.c
 delete mode 100644 sys/netproto/ipx/ipx.h
 delete mode 100644 sys/netproto/ipx/ipx_cksum.c
 delete mode 100644 sys/netproto/ipx/ipx_if.h
 delete mode 100644 sys/netproto/ipx/ipx_input.c
 delete mode 100644 sys/netproto/ipx/ipx_ip.c
 delete mode 100644 sys/netproto/ipx/ipx_ip.h
 delete mode 100644 sys/netproto/ipx/ipx_outputfl.c
 delete mode 100644 sys/netproto/ipx/ipx_pcb.c
 delete mode 100644 sys/netproto/ipx/ipx_pcb.h
 delete mode 100644 sys/netproto/ipx/ipx_proto.c
 delete mode 100644 sys/netproto/ipx/ipx_tun.c
 delete mode 100644 sys/netproto/ipx/ipx_usrreq.c
 delete mode 100644 sys/netproto/ipx/ipx_var.h
 delete mode 100644 sys/netproto/ipx/spx.h
 delete mode 100644 sys/netproto/ipx/spx_debug.c
 delete mode 100644 sys/netproto/ipx/spx_debug.h
 delete mode 100644 sys/netproto/ipx/spx_timer.h
 delete mode 100644 sys/netproto/ipx/spx_usrreq.c
 delete mode 100644 sys/netproto/ipx/spx_var.h
 delete mode 100644 sys/netproto/ncp/Makefile
 delete mode 100644 sys/netproto/ncp/ncp.h
 delete mode 100644 sys/netproto/ncp/ncp_cfg.h
 delete mode 100644 sys/netproto/ncp/ncp_conn.c
 delete mode 100644 sys/netproto/ncp/ncp_conn.h
 delete mode 100644 sys/netproto/ncp/ncp_crypt.c
 delete mode 100644 sys/netproto/ncp/ncp_file.h
 delete mode 100644 sys/netproto/ncp/ncp_lib.h
 delete mode 100644 sys/netproto/ncp/ncp_login.c
 delete mode 100644 sys/netproto/ncp/ncp_mod.c
 delete mode 100644 sys/netproto/ncp/ncp_ncp.c
 delete mode 100644 sys/netproto/ncp/ncp_ncp.h
 delete mode 100644 sys/netproto/ncp/ncp_nls.c
 delete mode 100644 sys/netproto/ncp/ncp_nls.h
 delete mode 100644 sys/netproto/ncp/ncp_rcfile.h
 delete mode 100644 sys/netproto/ncp/ncp_rq.c
 delete mode 100644 sys/netproto/ncp/ncp_rq.h
 delete mode 100644 sys/netproto/ncp/ncp_sock.c
 delete mode 100644 sys/netproto/ncp/ncp_sock.h
 delete mode 100644 sys/netproto/ncp/ncp_subr.c
 delete mode 100644 sys/netproto/ncp/ncp_subr.h
 delete mode 100644 sys/netproto/ncp/ncp_user.h
 delete mode 100644 sys/netproto/ncp/nwerror.h
 delete mode 100644 sys/vfs/nwfs/Makefile
 delete mode 100644 sys/vfs/nwfs/nwfs.h
 delete mode 100644 sys/vfs/nwfs/nwfs_io.c
 delete mode 100644 sys/vfs/nwfs/nwfs_ioctl.c
 delete mode 100644 sys/vfs/nwfs/nwfs_mount.h
 delete mode 100644 sys/vfs/nwfs/nwfs_node.c
 delete mode 100644 sys/vfs/nwfs/nwfs_node.h
 delete mode 100644 sys/vfs/nwfs/nwfs_subr.c
 delete mode 100644 sys/vfs/nwfs/nwfs_subr.h
 delete mode 100644 sys/vfs/nwfs/nwfs_vfsops.c
 delete mode 100644 sys/vfs/nwfs/nwfs_vnops.c
 delete mode 100644 usr.bin/ncplist/Makefile
 delete mode 100644 usr.bin/ncplist/ncplist.1
 delete mode 100644 usr.bin/ncplist/ncplist.c
 delete mode 100644 usr.bin/ncplogin/Makefile
 delete mode 100644 usr.bin/ncplogin/ncplogin.1
 delete mode 100644 usr.bin/ncplogin/ncplogin.c
 delete mode 100644 usr.bin/ncplogin/ncplogout.1
 delete mode 100644 usr.bin/netstat/ipx.c
 delete mode 100644 usr.sbin/IPXrouted/IPXrouted.8
 delete mode 100644 usr.sbin/IPXrouted/Makefile
 delete mode 100644 usr.sbin/IPXrouted/af.c
 delete mode 100644 usr.sbin/IPXrouted/af.h
 delete mode 100644 usr.sbin/IPXrouted/defs.h
 delete mode 100644 usr.sbin/IPXrouted/if.c
 delete mode 100644 usr.sbin/IPXrouted/input.c
 delete mode 100644 usr.sbin/IPXrouted/interface.h
 delete mode 100644 usr.sbin/IPXrouted/main.c
 delete mode 100644 usr.sbin/IPXrouted/output.c
 delete mode 100644 usr.sbin/IPXrouted/protocol.h
 delete mode 100644 usr.sbin/IPXrouted/sap.h
 delete mode 100644 usr.sbin/IPXrouted/sap_input.c
 delete mode 100644 usr.sbin/IPXrouted/sap_output.c
 delete mode 100644 usr.sbin/IPXrouted/sap_tables.c
 delete mode 100644 usr.sbin/IPXrouted/startup.c
 delete mode 100644 usr.sbin/IPXrouted/table.h
 delete mode 100644 usr.sbin/IPXrouted/tables.c
 delete mode 100644 usr.sbin/IPXrouted/timer.c
 delete mode 100644 usr.sbin/IPXrouted/trace.c
 delete mode 100644 usr.sbin/IPXrouted/trace.h
 delete mode 100644 usr.sbin/ppp/ncp.c
 delete mode 100644 usr.sbin/ppp/ncp.h
 delete mode 100644 usr.sbin/ppp/ncpaddr.c
 delete mode 100644 usr.sbin/ppp/ncpaddr.h
 delete mode 100644 usr.sbin/pppd/ipxcp.c
 delete mode 100644 usr.sbin/pppd/ipxcp.h

diff --git a/etc/defaults/rc.conf b/etc/defaults/rc.conf
index 7ef91a5..7def5de 100644
--- a/etc/defaults/rc.conf
+++ b/etc/defaults/rc.conf
@@ -41,7 +41,7 @@ local_startup="/usr/local/etc/rc.d /usr/pkg/etc/rc.d"
 script_name_sep=" "	# Change if your startup scripts' names contain spaces
 rc_conf_files="/etc/rc.conf /etc/rc.conf.local"
 fsck_y_enable="NO"	# Set to YES to do fsck -y if the initial preen fails.
-netfs_types="nfs:NFS smbfs:SMB portalfs:PORTAL nwfs:NWFS" # Net filesystems.
+netfs_types="nfs:NFS smbfs:SMB portalfs:PORTAL" # Net filesystems.
 extra_netfs_types="NO"	# List of network extra filesystem types for delayed
 			# mount at startup (or NO).
 devfs_config_files="/etc/defaults/devfs.conf /etc/devfs.conf"
@@ -100,7 +100,6 @@ cloned_interfaces=""		# List of cloned network interfaces to create.
 #cloned_interfaces="gif0 gif1 gif2 gif3" # Pre-cloning GENERIC config.
 ifconfig_lo0="inet 127.0.0.1"	# default loopback device configuration.
 #ifconfig_lo0_alias0="inet 127.0.0.254 netmask 0xffffffff" # Sample alias entry.
-#ifconfig_ed0_ipx="ipx 0x00010010"	# Sample IPX address family entry.
 #ifconfig_fxp0_name="net0"	# Change interface name from fxp0 to net0.
 #
 # If you have any sppp(4) interfaces above, you might also want to set
@@ -218,9 +217,6 @@ router_program="/sbin/routed"		# Name of routing daemon to use if enabled.
 router_flags="-q"		# Flags for routing daemon.
 mrouted_enable="NO"		# Do multicast routing (see /etc/mrouted.conf).
 mrouted_flags=""		# Flags for multicast routing daemon.
-ipxgateway_enable="NO"		# Set to YES to enable IPX routing.
-ipxrouted_enable="NO"		# Set to YES to run the IPX routing daemon.
-ipxrouted_flags=""		# Flags for IPX routing daemon.
 arpproxy_all="NO"		# replaces obsolete kernel option ARP_PROXYALL.
 forward_sourceroute="NO"	# do source routing (only if gateway_enable is set to "YES")
 accept_sourceroute="NO"		# accept source routed packets to us
diff --git a/etc/mtree/BSD.include.dist b/etc/mtree/BSD.include.dist
index 14d7f01..471493a 100644
--- a/etc/mtree/BSD.include.dist
+++ b/etc/mtree/BSD.include.dist
@@ -380,8 +380,6 @@
         ..
         ntfs
         ..
-        nwfs
-        ..
         puffs
         ..
         udf
diff --git a/etc/rc.d/Makefile b/etc/rc.d/Makefile
index b8fdb06..5b1641d 100644
--- a/etc/rc.d/Makefile
+++ b/etc/rc.d/Makefile
@@ -10,7 +10,7 @@ FILES=	DAEMON LOGIN NETWORKING SERVERS abi accounting addswap adjkerntz \
 	battd bootconf bootparams btconfig bthcid ccd cleanvar cryptdisks \
 	cleartmp cron cryptdisks devd devfs dhclient diskless dmesg dumpon \
 	fixbootfile fsck ftpd hostapd hostname hotplugd \
-	inetd initdiskless initrandom ip6fw ipfw ipsec ipxrouted \
+	inetd initdiskless initrandom ip6fw ipfw ipsec \
 	jail keyserv \
 	ldconfig local localdaemons lockd lpd lvm \
 	mixer motd mountcritlocal mountcritremote \
diff --git a/etc/rc.d/routing b/etc/rc.d/routing
index 79de961..82b4d9d 100644
--- a/etc/rc.d/routing
+++ b/etc/rc.d/routing
@@ -3,7 +3,6 @@
 # Configure routing and miscellaneous network tunables
 #
 # $FreeBSD: src/etc/rc.d/routing,v 1.138 2003/06/29 17:59:09 mtm Exp $
-# $DragonFly: src/etc/rc.d/routing,v 1.3 2005/11/19 21:47:32 swildner Exp $
 #
 
 # PROVIDE: routing
@@ -132,13 +131,6 @@ options_start()
 		;;
 	esac
 
-	case ${ipxgateway_enable} in
-	[Yy][Ee][Ss])
-		echo -n ' IPX gateway=YES'
-		sysctl net.ipx.ipx.ipxforwarding=1 >/dev/null
-		;;
-	esac
-
 	case ${arpproxy_all} in
 	[Yy][Ee][Ss])
 		echo -n ' ARP proxyall=YES'
diff --git a/gnu/usr.bin/groff/tmac/fr.ISO8859-1 b/gnu/usr.bin/groff/tmac/fr.ISO8859-1
index 3409796..898e2e4 100644
--- a/gnu/usr.bin/groff/tmac/fr.ISO8859-1
+++ b/gnu/usr.bin/groff/tmac/fr.ISO8859-1
@@ -23,7 +23,6 @@
 .\" SUCH DAMAGE.
 .\"
 .\" $FreeBSD: src/gnu/usr.bin/groff/tmac/fr.ISO8859-1,v 1.4 2003/09/20 21:23:53 ru Exp $
-.\" $DragonFly: src/gnu/usr.bin/groff/tmac/fr.ISO8859-1,v 1.1 2005/08/28 18:36:14 asmodai Exp $
 .\"
 .\"     %beginstrip%
 .
@@ -87,7 +86,6 @@
 .\" XXX ds doc-str-Lb-libgeom     Userland API Library for kernel GEOM subsystem (libgeom, \-lgeom)
 .ds doc-str-Lb-libi386     Bibliothèque de l'architecture i386 (libi386, \-li386)
 .ds doc-str-Lb-libipsec    Bibliothèque de contrôle de politique IPsec (libipsec, \-lipsec)
-.ds doc-str-Lb-libipx      Bibliothèque de support des conversions des adresses IPX (libipx, \-lipx)
 .ds doc-str-Lb-libkvm      Bibliothèque d'accès aux données du noyau (libkvm, \-lkvm)
 .ds doc-str-Lb-libm        Bibliothèque mathématique (libm, \-lm)
 .ds doc-str-Lb-libmd       Bibliothèque de support des signatures (MD4, MD5, etc.) (libmd, \-lmd)
diff --git a/gnu/usr.bin/groff/tmac/mdoc.local b/gnu/usr.bin/groff/tmac/mdoc.local
index 559d771..f17ab24 100644
--- a/gnu/usr.bin/groff/tmac/mdoc.local
+++ b/gnu/usr.bin/groff/tmac/mdoc.local
@@ -47,7 +47,6 @@
 .ds doc-str-Lb-libfsid          Filesystem Identification Library (libfsid, \-lfsid)
 .ds doc-str-Lb-libftpio         FTP Connection Management Library (libftpio, \-lftpio)
 .ds doc-str-Lb-libhammer        HAMMER Filesystem Userland Library (libhammer, \-lhammer)
-.ds doc-str-Lb-libipx           IPX Address Conversion Support Library (libipx, \-lipx)
 .ds doc-str-Lb-libkcore         Kernel Memory Core Access Library (libkcore, \-lkcore)
 .ds doc-str-Lb-libkiconv        Kernel side iconv library (libkiconv, \-lkiconv)
 .ds doc-str-Lb-libkinfo         Kernel Information Access Library (libkinfo, \-lkinfo)
diff --git a/gnu/usr.bin/groff/tmac/ru.KOI8-R b/gnu/usr.bin/groff/tmac/ru.KOI8-R
index 388bf28..2513ef7 100644
--- a/gnu/usr.bin/groff/tmac/ru.KOI8-R
+++ b/gnu/usr.bin/groff/tmac/ru.KOI8-R
@@ -23,7 +23,6 @@
 .\" SUCH DAMAGE.
 .\"
 .\" $FreeBSD: src/gnu/usr.bin/groff/tmac/ru.KOI8-R,v 1.14 2003/09/20 21:30:33 ru Exp $
-.\" $DragonFly: src/gnu/usr.bin/groff/tmac/ru.KOI8-R,v 1.3 2005/09/01 20:47:14 asmodai Exp $
 .\"
 .\"     %beginstrip%
 .
@@ -87,7 +86,6 @@
 .ds doc-str-Lb-libgeom     ðÏÌØÚÏ×ÁÔÅÌØÓËÁÑ API ÂÉÂÌÉÏÔÅËÁ ÐÏÄÓÉÓÔÅÍÙ ÑÄÒÁ GEOM (libgeom, \-lgeom)
 .ds doc-str-Lb-libi386     âÉÂÌÉÏÔÅËÁ ÁÒÈÉÔÅËÔÕÒÙ i386 (libi386, \-li386)
 .ds doc-str-Lb-libipsec    âÉÂÌÉÏÔÅËÁ ÕÐÒÁ×ÌÅÎÉÑ IPsec Policy (libipsec, \-lipsec)
-.ds doc-str-Lb-libipx      âÉÂÌÉÏÔÅËÁ ÐÏÄÄÅÒÖËÉ ËÏÎ×ÅÒÓÉÉ ÁÄÒÅÓÏ× IPX (libipx, \-lipx)
 .ds doc-str-Lb-libkvm      âÉÂÌÉÏÔÅËÁ ÄÏÓÔÕÐÁ Ë ÄÁÎÎÙÍ ÑÄÒÁ (libkvm, \-lkvm)
 .ds doc-str-Lb-libm        âÉÂÌÉÏÔÅËÁ ÍÁÔÅÍÁÔÉÞÅÓËÉÈ ÆÕÎËÃÉÊ (libm, \-lm)
 .\" XXX ds doc-str-Lb-libmd       Message Digest (MD4, MD5, É Ô.Ä.) Support Library (libmd, \-lmd)
diff --git a/include/Makefile b/include/Makefile
index a625f6b..01cc083 100644
--- a/include/Makefile
+++ b/include/Makefile
@@ -57,7 +57,7 @@ LDIRS=	net netbt netgraph netgraph7 netinet netinet6 sys vm
 LSUBDIRS=	bus/cam bus/cam/scsi \
 	emulation/linux \
 	gnu/vfs/ext2fs \
-	vfs/msdosfs vfs/nfs vfs/ntfs vfs/nwfs \
+	vfs/msdosfs vfs/nfs vfs/ntfs \
 	vfs/smbfs vfs/udf vfs/ufs vfs/hammer vfs/hammer2 \
 	net/vlan net/ipfw net/ip6fw net/dummynet net/sppp net/ip_mroute \
 	net/bridge net/tap net/tun net/ppp net/ppp_layer net/sl \
@@ -78,8 +78,8 @@ LSUBDIRS=	bus/cam bus/cam/scsi \
 	netgraph7/pptpgre netgraph7/rfc1490 netgraph7/socket \
 	netgraph7/tcpmss netgraph7/tee netgraph7/tty netgraph7/vjc \
 	bus/cam bus/pccard bus/pci bus/isa bus/ppbus bus/smbus \
-	netproto/atm netproto/ipsec netproto/ipx \
-	netproto/key netproto/natm netproto/ncp netproto/smb \
+	netproto/atm netproto/ipsec \
+	netproto/key netproto/natm netproto/smb \
 	netproto/atm/ipatm netproto/atm/sigpvc netproto/atm/spans \
 	netproto/atm/uni netproto/802_11 netproto/mpls \
 	vfs/isofs/cd9660 vfs/puffs \
@@ -137,7 +137,6 @@ INCSLINKS+=	vfs/isofs ${INCLUDEDIR}/isofs
 INCSLINKS+=	vfs/mfs ${INCLUDEDIR}/mfs
 INCSLINKS+=	vfs/nfs ${INCLUDEDIR}/nfs
 INCSLINKS+=	vfs/ntfs ${INCLUDEDIR}/ntfs
-INCSLINKS+=	vfs/nwfs ${INCLUDEDIR}/nwfs
 INCSLINKS+=	vfs ${INCLUDEDIR}/fs
 # this is for <ufs/ufs/...> and <ufs/ffs/...> paths used by ports
 # It is hopefully a temporary hack until we have environments working.
@@ -146,10 +145,8 @@ INCSLINKS+=	ufs ${INCLUDEDIR}/vfs/ffs
 INCSLINKS+=	emulation ${INCLUDEDIR}/compat
 INCSLINKS+=	netproto/atm ${INCLUDEDIR}/netatm
 INCSLINKS+=	netproto/ipsec ${INCLUDEDIR}/netipsec
-INCSLINKS+=	netproto/ipx ${INCLUDEDIR}/netipx
 INCSLINKS+=	netproto/key ${INCLUDEDIR}/netkey
 INCSLINKS+=	netproto/natm ${INCLUDEDIR}/netnatm
-INCSLINKS+=	netproto/ncp ${INCLUDEDIR}/netncp
 INCSLINKS+=	netproto/smb ${INCLUDEDIR}/netsmb
 INCSLINKS+=	bus/pccard ${INCLUDEDIR}/pccard
 # Some 3rd party software looks for <floatingpoint.h>
diff --git a/lib/Makefile b/lib/Makefile
index de6474f..92582f8 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -56,7 +56,6 @@ SUBDIR=	${SUBDIR_ORDERED} \
 	libftpio \
 	libhammer \
 	libipsec \
-	libipx \
 	libkcore \
 	libkiconv \
 	libkinfo \
@@ -67,7 +66,6 @@ SUBDIR=	${SUBDIR_ORDERED} \
 	libmagic \
 	libmandoc \
 	${_libmilter} \
-	libncp \
 	${_libnetgraph} \
 	libopie \
 	libpam \
diff --git a/sbin/Makefile b/sbin/Makefile
index 0c52329..e1656c4 100644
--- a/sbin/Makefile
+++ b/sbin/Makefile
@@ -104,8 +104,7 @@ SUBDIR=	adjkerntz \
 .if ${MACHINE_ARCH} == i386
 SUBDIR+=kget
 .endif
-SUBDIR+=mount_nwfs \
-	mount_smbfs \
+SUBDIR+=mount_smbfs \
 	fdisk \
 	nextboot
 .endif
diff --git a/sbin/ifconfig/Makefile b/sbin/ifconfig/Makefile
index 85517ab..9e65730 100644
--- a/sbin/ifconfig/Makefile
+++ b/sbin/ifconfig/Makefile
@@ -28,10 +28,8 @@ SRCS+=	ifcarp.c		# SIOC[GS]VH support
 
 SRCS+=	ifbridge.c		# bridge support
 
-SRCS+=	af_ipx.c		# IPX support
-
-DPADD=	${LIBIPX} ${LIBBSDXML} ${LIBSBUF}
-LDADD=	-lipx -lbsdxml -lsbuf
+DPADD=	${LIBBSDXML} ${LIBSBUF}
+LDADD=	-lbsdxml -lsbuf
 
 MAN=	ifconfig.8
 
diff --git a/share/mk/bsd.libnames.mk b/share/mk/bsd.libnames.mk
index 6c68623..f559630 100644
--- a/share/mk/bsd.libnames.mk
+++ b/share/mk/bsd.libnames.mk
@@ -41,7 +41,6 @@ LIBFSID?=	${DESTDIR}${LIBDIR}/libfsid.a
 LIBFTPIO?=	${DESTDIR}${LIBDIR}/libftpio.a
 LIBHAMMER?=	${DESTDIR}${LIBDIR}/libhammer.a
 LIBIPSEC?=	${DESTDIR}${LIBDIR}/libipsec.a
-LIBIPX?=	${DESTDIR}${LIBDIR}/libipx.a
 LIBKCORE?=	${DESTDIR}${LIBDIR}/libkcore.a
 LIBKICONV?=	${DESTDIR}${LIBDIR}/libkiconv.a
 LIBKINFO?=	${DESTDIR}${LIBDIR}/libkinfo.a
@@ -61,7 +60,6 @@ LIBMENU?=	${DESTDIR}${LIBDIR}/libmenu.a
 LIBMILTER?=	${DESTDIR}${LIBDIR}/libmilter.a
 .endif
 LIBMYTINFO?=	"don't use LIBMYTINFO, use LIBNCURSES"
-LIBNCP?=	${DESTDIR}${LIBDIR}/libncp.a
 LIBNCURSES?=	${DESTDIR}${LIBDIR}/libncurses.a
 LIBNCURSESW?=	${DESTDIR}${LIBDIR}/libncursesw.a
 LIBNETGRAPH?=	${DESTDIR}${LIBDIR}/libnetgraph.a
diff --git a/sys/boot/dloader/loader-bootp.conf b/sys/boot/dloader/loader-bootp.conf
index 23b434b..1be60c1 100644
--- a/sys/boot/dloader/loader-bootp.conf
+++ b/sys/boot/dloader/loader-bootp.conf
@@ -114,7 +114,6 @@ msdos_load="NO"			# FAT-12/16/32
 nfs_load="NO"			# NFS
 ntfs_load="NO"			# NTFS
 null_load="NO"			# Null filesystem
-nwfs_load="NO"			# NetWare volume
 portal_load="NO"		# Portal filesystem
 procfs_load="NO"		# Process filesystem
 smbfs_load="NO"			# SMB/CIFS
diff --git a/sys/boot/dloader/loader.conf b/sys/boot/dloader/loader.conf
index d402a1a..144a75d 100644
--- a/sys/boot/dloader/loader.conf
+++ b/sys/boot/dloader/loader.conf
@@ -120,7 +120,6 @@ msdos_load="NO"			# FAT-12/16/32
 nfs_load="NO"			# NFS
 ntfs_load="NO"			# NTFS
 null_load="NO"			# Null filesystem
-nwfs_load="NO"			# NetWare volume
 portal_load="NO"		# Portal filesystem
 procfs_load="NO"		# Process filesystem
 smbfs_load="NO"			# SMB/CIFS
diff --git a/sys/conf/files b/sys/conf/files
index cc3f73d..0b73861 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -1466,17 +1466,6 @@ netproto/ipsec/xform_ah.c	optional fast_ipsec
 netproto/ipsec/xform_esp.c	optional fast_ipsec
 netproto/ipsec/xform_ipcomp.c	optional fast_ipsec
 netproto/ipsec/xform_ipip.c	optional fast_ipsec
-netproto/ipx/ipx.c		optional ipx
-netproto/ipx/ipx_cksum.c	optional ipx
-netproto/ipx/ipx_input.c	optional ipx
-netproto/ipx/ipx_ip.c		optional ipx
-netproto/ipx/ipx_outputfl.c	optional ipx
-netproto/ipx/ipx_pcb.c		optional ipx
-netproto/ipx/ipx_proto.c	optional ipx
-netproto/ipx/ipx_tun.c		optional ipx
-netproto/ipx/ipx_usrreq.c	optional ipx
-netproto/ipx/spx_debug.c	optional ipx
-netproto/ipx/spx_usrreq.c	optional ipx
 netproto/key/key.c		optional ipsec
 netproto/key/key_debug.c	optional ipsec
 netproto/key/keydb.c		optional ipsec
@@ -1488,15 +1477,6 @@ netproto/mpls/mpls_proto.c	optional mpls
 netproto/natm/natm.c		optional natm
 netproto/natm/natm_pcb.c	optional natm
 netproto/natm/natm_proto.c	optional natm
-netproto/ncp/ncp_conn.c		optional ncp
-netproto/ncp/ncp_crypt.c	optional ncp
-netproto/ncp/ncp_login.c	optional ncp
-netproto/ncp/ncp_mod.c		optional ncp
-netproto/ncp/ncp_ncp.c		optional ncp
-netproto/ncp/ncp_nls.c		optional ncp
-netproto/ncp/ncp_rq.c		optional ncp
-netproto/ncp/ncp_sock.c		optional ncp
-netproto/ncp/ncp_subr.c		optional ncp
 kern/md4c.c			optional netsmb
 netproto/smb/smb_conn.c		optional netsmb
 netproto/smb/smb_crypt.c	optional netsmb
@@ -1522,12 +1502,6 @@ vfs/nfs/nfsm_subs.c		optional nfs
 vfs/nfs/bootp_subr.c		optional bootp
 vfs/nfs/nfs_mountrpc.c		optional nfs
 vfs/nfs/krpc_subr.c		optional nfs
-vfs/nwfs/nwfs_io.c		optional nwfs
-vfs/nwfs/nwfs_ioctl.c		optional nwfs
-vfs/nwfs/nwfs_node.c		optional nwfs
-vfs/nwfs/nwfs_subr.c		optional nwfs
-vfs/nwfs/nwfs_vfsops.c		optional nwfs
-vfs/nwfs/nwfs_vnops.c		optional nwfs
 bus/pccard/card_if.m		standard
 bus/pccard/pccard.c		optional pccard
 bus/pccard/pccard_cis.c		optional pccard
diff --git a/sys/conf/options b/sys/conf/options
index db604a6..db5487d 100644
--- a/sys/conf/options
+++ b/sys/conf/options
@@ -134,7 +134,6 @@ MFS		opt_dontuse.h
 MSDOSFS		opt_dontuse.h
 NTFS		opt_dontuse.h
 NULLFS		opt_dontuse.h
-NWFS		opt_dontuse.h
 PORTAL		opt_dontuse.h
 PROCFS		opt_dontuse.h
 PUFFS		opt_dontuse.h
@@ -296,12 +295,8 @@ IPV6FIREWALL_VERBOSE	opt_ip6fw.h
 IPV6FIREWALL_VERBOSE_LIMIT	opt_ip6fw.h
 IPV6FIREWALL_DEFAULT_TO_ACCEPT	opt_ip6fw.h
 IPSTEALTH
-IPX			opt_ipx.h
-IPXIP			opt_ipx.h
-IPTUNNEL		opt_ipx.h
 LIBMCHAIN
 MPLS			opt_mpls.h
-NCP			opt_ncp.h
 PPP_BSDCOMP		opt_ppp.h
 PPP_DEFLATE		opt_ppp.h
 PPP_FILTER		opt_ppp.h
